# TODO:

- publish to gitea repo: [container](https://docs.gitea.io/en-us/usage/packages/container/)  [badge](https://docs.gitea.io/en-us/usage/packages/generic/)
- use bool value for `generate_gitea_project` when the feature is available

### Package

```
curl -i --upload-file README.md --user "histausse:`secret-tool  lookup Title 'Gitea Token'`" https://git.pains-perdus.fr/api/packages/histausse/generic/test_flake_poetry2nix/latest/README.md
curl https://git.pains-perdus.fr/api/packages/histausse/generic/test_flake_poetry2nix/latest/README.md
curl -i -X DELETE --user "histausse:`secret-tool  lookup Title 'Gitea Token'`" https://git.pains-perdus.fr/api/packages/histausse/generic/test_flake_poetry2nix/latest/pyproject.toml
```

```
podman login -u histausse -p `secret-tool  lookup Title 'Gitea Token'` git.pains-perdus.fr
podman push test_flake_poetry2nix:latest git.pains-perdus.fr/histausse/test_flake_poetry2nix:latest

```

Put secret in CI:

```
    connection.request(
        "POST",
        f"/api/repos/{repo}/secrets",
        json.dumps(
            {
                "name": "test_token",
                "value": "loren ispum",
                "image": ["test"],
                "event": ["push", "tag"],
            }
        ),
        {
            "Authorization": f"Bearer {API_KEY}",
            "content-type": "application/json",
        },
    )
```


Gen badge:
```
https://github.com/smarie/python-genbadge/issues
```
